# Role: smartctl_exporter

## Description

Installs and configures smartctl exporter for disk monitoring.

https://github.com/prometheus-community/smartctl_exporter

## Usage

Using in a playbook:

```yaml
- name: Play
  hosts:
    - all
  roles:
    - samuliy.ansible.smartctl_exporter
  vars:
    ...
```

### Vars

`smartctl_exporter_web_config`:

WebConfig, used for TLS config.

`smartctl_exporter_service_name`:

Service name.
